Package org.apache.sysds.api

## Class PythonDMLScript

- java.lang.Object
- - org.apache.sysds.api.PythonDMLScript

    public class PythonDMLScript
    extends Object

### Field Summary

Fields
`static py4j.GatewayServer` `GwS`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Connection` `getConnection()`
`static void` `main​(String[] args)` Entry point for Python API.
`static void` `setDMLGateWayListenerLoggerLevel​(org.apache.log4j.Level l)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### GwS

    public static py4j.GatewayServer GwS

### Method Detail

#### main

    public static void main​(String[] args)
                     throws Exception

Entry point for Python API.

Parameters:
  `args` - Command line arguments.
Throws:
  `Exception` - Throws exceptions if there is issues in startup or while running.

#### setDMLGateWayListenerLoggerLevel

    public static void setDMLGateWayListenerLoggerLevel​(org.apache.log4j.Level l)

#### getConnection

    public Connection getConnection()